summaryrefslogtreecommitdiffstats
path: root/games/OpenRA/fetch-thirdparty-deps.sh.new
diff options
context:
space:
mode:
Diffstat (limited to 'games/OpenRA/fetch-thirdparty-deps.sh.new')
-rw-r--r--games/OpenRA/fetch-thirdparty-deps.sh.new18
1 files changed, 18 insertions, 0 deletions
diff --git a/games/OpenRA/fetch-thirdparty-deps.sh.new b/games/OpenRA/fetch-thirdparty-deps.sh.new
new file mode 100644
index 0000000000..c0f9ae9b5d
--- /dev/null
+++ b/games/OpenRA/fetch-thirdparty-deps.sh.new
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+####
+# This file must stay /bin/sh and POSIX compliant for BSD portability.
+# Copy-paste the entire script into http://shellcheck.net to check.
+####
+
+# Die on any error for Travis CI to automatically retry:
+set -e
+
+download_dir="${0%/*}/download"
+
+mkdir -p "${download_dir}"
+cd "${download_dir}"
+cd ..
+
+tar -xvf download.tar.gz
+